Get Upgrade Packages

Get Upgrade Packages
Retrieve available upgrade packages

Retrieves the list of available upgrade packages from the depot service and returns the packages eligible for the upgrade after evaluating each available package.

The response includes package version, name, and size for each available upgrade bundle that has been uploaded to the system.

Only packages eligible for the upgrade are returned.

Request
URI
GET
https://{api_host}/https://{api_host}:{port}/lh-appliance/upgrade/packages
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Upgrade packages retrieved successfully. The response contains a list of available and eligible upgrade packages.

Returns UpgradePackageList of type(s) application/json
This response body class contains all of the following: ListResult , InlineUpgradePackageList1
{
    "offset": 0,
    "number_of_results": 0,
    "total_result_count": 0,
    "total_pages": 0,
    "sort_ascending": false,
    "sort_by": "string",
    "results": [
        {
            "version": "string",
            "package_name": "string",
            "package_size": "string"
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

Unexpected error occurred while retrieving upgrade packages. Consult the error response details and system logs for diagnostic information.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/https://{api_host}:{port}/lh-appliance/upgrade/packages